clear all
close all
FIR_num = load('FIR_mat.mat', 'Num');
FIR_num = FIR_num.Num;

file = fopen('fir_coef.h', 'w');
fprintf(file, '#ifndef FIR_COEF_H_\n#define FIR_COEF_H_\n\n');
fwrite(file, uint8('static float fxcoef[] = {'));
%FIR_str = num2str(FIR_num, %d,');
FIR_str = num2str(FIR_num(1), '%d,');
for i = 2:length(FIR_num)
    FIR_str = strcat(FIR_str, num2str(FIR_num(i), '%d'));
    
    if(not(i == length(FIR_num)))
        FIR_str = strcat(FIR_str, ', ');
    end
    
    if(not(mod(i,4)))
        %FIR_str = strcat(FIR_str, char(10));
        fwrite(file, uint8(FIR_str));
        fprintf(file, '\n\t\t\t\t\t');
        FIR_str = '';
    end
end
fwrite(file, uint8(FIR_str));
fwrite(file, uint8('};'));
fprintf(file, '\n#endif');
fclose(file);
fclose('all');